<!doctype html>
<html>
  <head>
    <meta name="viewport" content="width=device-width" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Votre inscription est confirmée </title>
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <style>
      /* -------------------------------------
          GLOBAL RESETS
      ------------------------------------- */
      img {
        border: none;
        -ms-interpolation-mode: bicubic;
        max-width: 100%; 
      }
      body {
        background-color: #f6f6f6;
        font-family: sans-serif;
        -webkit-font-smoothing: antialiased;
        font-size: 14px;
        line-height: 1.4;
        margin: 0;
        padding: 0;
        -ms-text-size-adjust: 100%;
        -webkit-text-size-adjust: 100%; 
      }
      table {
        border-collapse: separate;
        mso-table-lspace: 0pt;
        mso-table-rspace: 0pt;
        width: 100%; }
        table td {
          font-family: sans-serif;
          font-size: 14px;
          vertical-align: top; 
      }
      /* -------------------------------------
          BODY & CONTAINER
      ------------------------------------- */
      .body {
        background-color: #f6f6f6;
        width: 100%; 
      }
    </style>
  </head>
  <body class="">
    <table style="max-width:670px;margin:30px auto 10px;background-color:#fff;padding:50px 20px 0;-webkit-border-radius:3px;-moz-border-radius:3px;border-radius:3px;-webkit-box-shadow:0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);-moz-box-shadow:0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);box-shadow:0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24); border-top: solid 4px #ffb606;">
      <thead>
        <tr>
          <th style="text-align:left; width: 50%;"><img style="max-width: 150px;" src="http://academieallemande.ma/assets/img/logo.png" alt="academieallemande"></th>
          <th style="text-align:right;font-weight:400;">{{ $details['date'] }}</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td style="height:35px;"></td>
        </tr>
        <tr>
          <td colspan="2">
            <p style="color:#002147;line-height: 24px; font-size: 16px;">Bonjour <strong>{{ $details['user']['name'] }}</strong> 👋</p>
            <p style="color:#002147;line-height: 28px; font-size: 16px; font-weight: 700;">
              Merci de votre inscription, nous avons le plaisir de vous confirmer la réception du reçu de paiement de votre acompte. 😊.
            </p>
            <p style="color:#002147;line-height: 28px; font-size: 16px;">
              Nous vous confirmons votre inscription à l’examen {{ $details['exam']['name'] }} qui aura lieu le  ( {{ $details['exam']['date'] }} ) à ( {{ $details['exam']['time'] }} ). 
            </p>
          </td>
        </tr>

        <tr>
          <td colspan="2" style="border: solid 1px #ddd; padding:10px 20px;">
            <p style="font-size:14px;    padding: 3px 0;display:flex;justify-content: space-between; align-items: center;">
              <span style="font-weight:600; color: #343131;display:inline-block;min-width:150px">
                Niveau
              </span>
              <b style="font-weight:800;margin:0">
                {{ $details['exam']['season'] }}
              </b>
            </p>

            <p style="font-size:14px;    padding: 3px 0;display:flex;justify-content: space-between; align-items: center;">
              <span style="font-weight:600; color: #343131;display:inline-block;min-width:150px">
              Date d’examen
              </span>
              <b style="font-weight:800;margin:0">
                {{ $details['exam']['date'] }}
              </b>
            </p>
            <p style="font-size:14px;    padding: 3px 0;display:flex;justify-content: space-between; align-items: center;">
              <span style="font-weight:600; color: #343131;display:inline-block;min-width:150px">
              Heur d’examen
              </span>
              <b style="font-weight:800;margin:0">
                {{ $details['exam']['time'] }}
              </b>
            </p>
            <p style="font-size:14px;    padding: 3px 0;display:flex;justify-content: space-between; align-items: center;">
              <span style="font-weight:600; color: #343131;display:inline-block;min-width:150px">
              Etat
              </span>
              <b style="color:#00a018;font-weight:700;margin:0">
                Confirmé ✅
              </b>
            </p>

            <p style="font-size:14px;    padding: 3px 0;display:flex;justify-content: space-between; align-items: center;">
              <span style="font-weight:600; color: #343131;display:inline-block;min-width:150px">
                Prix
              </span>
              <b style="font-weight:800;margin:0">
                {{ $details['exam']['price'] }} DH
              </b>
            </p>
          </td>
        </tr>

        <tr>
          <td colspan="2">
            <p><small><i>Pour toute information sur l’examen, contactez nous sur ce numéro 08 08 53 18 22</i></small></p>
          </td>
        </tr>


      </tbody>
      <tfooter>
        <tr>
          <td colspan="2" style="font-size:14px;padding:50px 15px 10px 0px;">
            <p style="font-size: 13px; color:#505153;"> 
              Téléphone: 08 08 53 18 22<br>
              Site Web: https://academieallemande.ma<br>
              Email: contact@academieallemande.com</p>
          </td>
        </tr>
      </tfooter>
    </table>
  </body>
</html>